%define python python
%{?with_python:%define python %{with_python}}
%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")

%define unmangled_name PyYAML
%define release 1.py%{pyver}

%define __os_install_post    \
    /usr/lib/rpm/redhat/brp-compress \
    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} \
    /usr/lib/rpm/redhat/brp-java-repack-jars \
%{nil}

%define name python-yaml
%define version 3.10
%define dist .el5

Summary: YAML parser and emitter for Python
Name: %{name}
Version: %{version}
Release: %{release}%{dist}
Source0: %{unmangled_name}-%{version}.tar.gz
Patch0:  PyYaml-py2.4.patch
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Kirill Simonov <xi@resolvent.net>
Url: http://pyyaml.org/wiki/PyYAML
Provides: PyYAML

%description
YAML is a data serialization format designed for human readability
and interaction with scripting languages.  PyYAML is a YAML parser
and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages.  PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%prep
%setup -q -n %{unmangled_name}-%{version}
%patch0

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
find %{buildroot} -name '*.pyo' -exec rm -f {} \;
sed -i -e " s#.*\.pyo##g; " INSTALLED_FILES 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
